Subject: Stinging Nettles
From: [email-masked] (Martin Hughes (Bioc))
Date: 9 May 1994 07:39:54 GMT
Newsgroups: bionet.plants

Morning all!

Well, I was out at the weekend attacking the jungle which passes
as my garden.

In doing so, I got repeatedly stung by nettles - and it struck me that
I had no idea of the "toxin" involved, mechanism of its' action,
or the method the plant uses to (presumably) 'inject' the toxin.

Does anyone have any idea as to the answers to these questions (or
a good source of info)?

Cheers

Martin
-- 
Martin J. G. Hughes
Department of Biochemistry, University of Cambridge, Cambridge, UK.
Email: [email-masked]